<?php

namespace App\ViewModels\Agendamento\AgendamentoDetailsViewModel;

use App\Utils\Entity;

class AgendamentoDetailsViewModel extends Entity {
	protected $id_procedimento;
	protected $id_agendamento;
	protected $id_paciente;
	protected $id_requisicao;
	protected $descricao_tipo_procedimento;
	protected $descricao_procedimento;
	protected $data;
	protected $hora_inicio;
	protected $hora_final;
	protected $codigo;
	protected $cpf;
	protected $rg;
	protected $nome;
	protected $genero;
	protected $data_nascimento;
	protected $telefone_1;
	protected $telefone_2;
	protected $cep;
	protected $numero;
	protected $complemento;
	protected $referencias;
	protected $estado;
	protected $cidade;
	protected $bairro;
	protected $logradouro;
	protected $email;
	protected $foto;
	protected $ativo;
	protected $profissao;
	protected $estado_civil;

	public static function builder(): AgendamentoDetailsViewModelBuilder {

		return new AgendamentoDetailsViewModelBuilder();

	}

	public function getIdPaciente(): int {

		return $this->id_paciente;

	}

	public function setIdPaciente(int $id_paciente): void {

		$this->id_paciente = $id_paciente;

	}

	public function getIdAgendamento(): int {

		return $this->id_agendamento;

	}

	public function setIdAgendamento(int $id_agendamento): void {

		$this->id_agendamento = $id_agendamento;

	}

	public function getIdRequisicao(): int {

		return $this->id_requisicao;

	}

	public function setIdRequisicao(int $id_requisicao): void {

		$this->id_requisicao = $id_requisicao;

	}

	public function getIdProcedimento(): int {

		return $this->id_procedimento;

	}

	public function setIdProcedimento(int $id_procedimento): void {

		$this->id_procedimento = $id_procedimento;

	}

	public function getDescricaoTipoProcedimento() {

		return $this->descricao_tipo_procedimento;

	}

	public function setDescricaoTipoProcedimento($descricao_tipo_procedimento): void {

		$this->descricao_tipo_procedimento = $descricao_tipo_procedimento;

	}

	public function getDescricaoProcedimento() {

		return $this->descricao_procedimento;

	}

	public function setDescricaoProcedimento($descricao_procedimento): void {

		$this->descricao_procedimento = $descricao_procedimento;

	}

	public function getData() {

		return $this->data;

	}

	public function setData($data): void {

		$this->data = $data;

	}

	public function getHoraInicio() {

		return $this->hora_inicio;

	}

	public function setHoraInicio($hora_inicio): void {

		$this->hora_inicio = $hora_inicio;

	}

	public function getHoraFinal() {

		return $this->hora_final;

	}

	public function setHoraFinal($hora_final): void {

		$this->hora_final = $hora_final;

	}

	public function getCodigo() {

		return $this->codigo;

	}

	public function setCodigo($codigo): void {

		$this->codigo = $codigo;

	}

	public function getCpf() {

		return $this->cpf;

	}

	public function setCpf($cpf): void {

		$this->cpf = $cpf;

	}

	public function getRg() {

		return $this->rg;

	}

	public function setRg($rg): void {

		$this->rg = $rg;

	}

	public function getNome() {

		return $this->nome;

	}

	public function setNome($nome): void {

		$this->nome = $nome;

	}

	public function getGenero() {

		return $this->genero;

	}

	public function setGenero($genero): void {

		$this->genero = $genero;

	}

	public function getDataNascimento() {

		return $this->data_nascimento;

	}

	public function setDataNascimento($data_nascimento): void {

		$this->data_nascimento = $data_nascimento;

	}

	public function getTelefone1() {

		return $this->telefone_1;

	}

	public function setTelefone1($telefone_1): void {

		$this->telefone_1 = $telefone_1;

	}

	public function getTelefone2() {

		return $this->telefone_2;

	}

	public function setTelefone2($telefone_2): void {

		$this->telefone_2 = $telefone_2;

	}

	public function getCep() {

		return $this->cep;

	}

	public function setCep($cep): void {

		$this->cep = $cep;

	}

	public function getNumero() {

		return $this->numero;

	}

	public function setNumero($numero): void {

		$this->numero = $numero;

	}

	public function getComplemento() {

		return $this->complemento;

	}

	public function setComplemento($complemento): void {

		$this->complemento = $complemento;

	}

	public function getReferencias() {

		return $this->referencias;

	}

	public function setReferencias($referencias): void {

		$this->referencias = $referencias;

	}

	public function getEstado() {

		return $this->estado;

	}

	public function setEstado($estado): void {

		$this->estado = $estado;

	}

	public function getCidade() {

		return $this->cidade;

	}

	public function setCidade($cidade): void {

		$this->cidade = $cidade;

	}

	public function getBairro() {

		return $this->bairro;

	}

	public function setBairro($bairro): void {

		$this->bairro = $bairro;

	}

	public function getLogradouro() {

		return $this->logradouro;

	}

	public function setLogradouro($logradouro): void {

		$this->logradouro = $logradouro;

	}

	public function getEmail() {

		return $this->email;

	}

	public function setEmail($email): void {

		$this->email = $email;

	}

	public function getFoto() {

		return $this->foto;

	}

	public function setFoto($foto): void {

		$this->foto = $foto;

	}

	public function getAtivo() {

		return $this->ativo;

	}

	public function setAtivo($ativo): void {

		$this->ativo = $ativo;

	}

	public function getProfissao() {

		return $this->profissao;

	}

	public function setProfissao($profissao): void {

		$this->profissao = $profissao;

	}

	public function getEstadoCivil() {

		return $this->estado_civil;

	}

	public function setEstadoCivil($estado_civil): void {

		$this->estado_civil = $estado_civil;

	}

}